[Writable]
LogLevel = 'INFO'
    [Writable.StoreAndForward]
    Enabled = true
    RetryInterval = '5s'
    MaxRetryCount = 0

[Service]
BootTimeout = '30s'
ClientMonitor = '15s'
CheckInterval = '10s'
Host = 'localhost'
Port = 48095
Protocol = 'http'
ReadMaxLimit = 100
StartupMsg = 'This is a sample Filter/XML/MQTT Transform Application Service'
Timeout = '30s'

[Registry]
Host = 'localhost'
Port = 8500
Type = 'consul'

[Logging]
EnableRemote = false
File = './logs/simple-filter-xml-mqtt.log'

# Database is require when Store and Forward is enabled
[Database]   
Type = "mongodb"
Host = "localhost"
Port = 27017
Timeout = "30s"
Username = "appservice"
Password = "password"


# SecretStore is required when Store and Forward is enabled and running with security
# so Databse credentails can be pulled from Vault.

# [SecretStore]
#   Host = 'localhost'
#   Port = 8200
#  # Path = '/v1/secret/edgex/appservice/'
#   Protocol = 'https'
# #  RootCaCertPath = '/vault/config/pki/EdgeXFoundryCA/EdgeXFoundryCA.pem'
#   ServerName = 'edgex-vault'

#   [SecretStore.Authentication]
#   AuthType = 'X-Vault-Token'
#   AuthToken = 'edgex'

[Clients]
  [Clients.CoreData]
  Protocol = 'http'
  Host = 'localhost'
  Port = 48080

  [Clients.Logging]
  Protocol = "http"
  Host = "localhost"
  Port = 48061

[MessageBus]
Type = 'zero'
    [MessageBus.PublishHost]
        Host = '*'
        Port = 5564
        Protocol = 'tcp'
    [MessageBus.SubscribeHost]
        Host = 'localhost'
        Port = 5563
        Protocol = 'tcp'

# Choose either an HTTP trigger or MessageBus trigger (aka Binding)

#[Binding]
#Type="http"

[Binding]
Type="messagebus"
SubscribeTopic="events"
PublishTopic="somewhere"

[ApplicationSettings]
ApplicationName = "konnekt-app-functions-service"
# Default  MQTT Config 
MqttAddress = "localhost"
MqttPort = "8883"
MqttProtocol = "tls"
MqttTopic = "appf"
MqttUser = ""
MqttPassword =  ""
# KeyCert pair is only used if protocol is "tls"
MqttKey = "/home/ivaldes/Desktop/edgeX/konn_appf_service/certs/client.key"
MqttCert = "/home/ivaldes/Desktop/edgeX/konn_appf_service/certs/client.crt"
